Bug 58653 - Writing content in a cell and passing to adjacent cell is extremely slow
Summary: Writing content in a cell and passing to adjacent cell is extremely slow
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-22 16:18 UTC by vimot2
Modified: 2015-03-01 10:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The file with the issue (449.50 KB, application/vnd.ms-excel)
2012-12-22 16:18 UTC, vimot2
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vimot2 2012-12-22 16:18:22 UTC
Created attachment 71983 [details]
The file with the issue

Problem description: 
The spreadsheet is composed of 6 sheets. One of them, named "2012" reports the daily amount of Photovoltaic production of my PV plant.
For each day I report the kWs and the external Temperature. All the cells have conditional formatting so that the max an min production and the max and min temperature cells are colored.
Aside the table, there is a chart representing the daily production in kWh.
From a couple of weeks, inserting the new data of production and temperature require a lot of time.

Steps to reproduce:
1. try to insert a production value and a temperature value in one of the blank cells of the table.
2. move the cursor to one of the adiacent cells
3. You wil see that Calc freezes for some time.

Current behavior:
Calc freezes for long time when simply you enter a value in a cell
Expected behavior:

NOTES: I have search the internet for issues like this. As suggested in some forum, I have tried to eliminate all the objects in the sheet (the chart), but the issue remain.
I have also tried to save the file in other formats (even .ods) obtaining no differences.
              
Operating System: Ubuntu
Version: 3.6.4.3 release
Comment 1 m.a.riosv 2012-12-22 22:43:17 UTC
Hi vimot2, thanks for reporting.

Confirmed.
Win7x64 Ultimate
Version 3.6.4.3 (Build ID: 2ef5aff)
Version 4.0.0.0.beta2 (Build ID: 4104d660979c57e1160b5135634f732918460a0)

Seems to works right deleting all conditional formatting.

I think is the same/similar issue as this bugs:

https://bugs.freedesktop.org/show_bug.cgi?id=49764
RESOLVED FIXED

https://bugs.freedesktop.org/show_bug.cgi?id=57028
NEW
Comment 2 A (Andy) 2014-10-18 20:04:31 UTC
I tested it with LO 4.3.2.2 (Win 8.1).

I can only see a very small delay, but I would say it is no real freeze, but of course LO could be faster.

Was this the issue you had reported or was your issue maybe already resolved in the meantime?  Or is this a Linux only issue?
Comment 3 Julien Nabet 2015-03-01 10:00:20 UTC
tdf#57028 indicated in comment1 is a dup of tdf#57896 which has been fixed for 4.1.0

Let's put this one as WFM.

If you can still reproduce this with recent LO version (4.4.1 or even mature version 4.3.6), don't hesitate to reopen this tracker.